Package com.databricks.jdbc.telemetry

## Class DatabricksUsageMetrics

- java.lang.Object
- - com.databricks.jdbc.telemetry.DatabricksUsageMetrics

    public class DatabricksUsageMetrics
    extends Object

### Constructor Summary

Constructors
`DatabricksUsageMetrics()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `exportUsageMetrics​(IDatabricksConnectionContext context, String jvmName, String jvmSpecVersion, String jvmImplVersion, String jvmVendor, String osName, String osVersion, String osArch, String localeName, String charsetEncoding)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabricksUsageMetrics

    public DatabricksUsageMetrics()

### Method Detail

#### exportUsageMetrics

    public static void exportUsageMetrics​(IDatabricksConnectionContext context,
                                          String jvmName,
                                          String jvmSpecVersion,
                                          String jvmImplVersion,
                                          String jvmVendor,
                                          String osName,
                                          String osVersion,
                                          String osArch,
                                          String localeName,
                                          String charsetEncoding)
                                   throws DatabricksSQLException

Throws:
  `DatabricksSQLException`